package com.shcd.enums;

import java.util.Arrays;
import lombok.Getter;

@Getter
public enum AreaSortEnum {
  PD(1, "浦东新区"),
  QP(2, "青浦区"),
  MH(3, "闵行区"),
  SJ(4, "松江区"),
  JS(5, "金山区"),
  FX(6, "奉贤区"),
  JD(7, "嘉定区"),
  BS(8, "宝山区"),
  CM(9, "崇明区"),
  LG(10, "临港新片区"),
  SGNH(11, "市管内河");


  private Integer sort;

  private String area;


  AreaSortEnum(Integer sort, String area) {
    this.sort = sort;
    this.area = area;
  }

  public static AreaSortEnum getByArea(String area) {
    return Arrays.stream(values()).filter(areaSortEnum -> areaSortEnum.getArea().equals(area))
        .findFirst().orElse(null);
  }
}
